de.esprit.netsuite.server.netch.io

## Class IOServerConnectionService

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<ServerContext>
      - - de.esprit.netsuite.server.netch.ServerConnectionService
        - - de.esprit.netsuite.server.netch.io.IOServerConnectionService

- All Implemented Interfaces:
    ApplicationObject<ServerContext>, SimpleLogSupport, Dumpable, ServerObject<ServerContext>

      public class IOServerConnectionService
      extends ServerConnectionService

  This service contains a task that listens on the server port and creates new client connections if requested.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IOServerConnectionService(ServerContext serverCtx, StreamWrapper streamWrapper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected AbstractServerTask<ServerContext>` | `createServiceTask()`

    - ### Methods inherited from class de.esprit.netsuite.server.netch.ServerConnectionService

      `getPort, getStreamWrapper, start`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager, toString`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IOServerConnectionService

          public IOServerConnectionService(ServerContext serverCtx,
                                   StreamWrapper streamWrapper)
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### close

          public void close()

      Overrides:
        `close` in class `ServerConnectionService`

    - #### createServiceTask

          protected AbstractServerTask<ServerContext> createServiceTask()

      Specified by:
        `createServiceTask` in class `ServerConnectionService`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.